include:
  local: 'macports.yml'

# basic functionality test for MacPorts on x86_64
macports:x86_64:
  stage: test
  needs: []
  extends:
    - .macports:base
  tags:
    - macos_x86_64
  script:
    - port install pkgconfig
    - test "$(which pkg-config)" == "${MACPORTS_PREFIX}/bin/pkg-config"
    - pkg-config --list-all

# basic functionality test for MacPorts on arm64
macports:arm64:
  extends:
    - macports:x86_64
  tags:
    - macos_arm64

macports:x86_64:root:
  extends:
    - macports:x86_64
  variables:
    MACPORTS_PREFIX: "/opt/local"
    # disable ccache
    MACPORTS_CCACHE: "false"
  script:
    # check that we get the system-installed macports for free
    - test "$(which port)" == "/opt/local/bin/port"
    - which python3.9
    - python3.9 --version
  cache: {}
